GrailsReactorConfigurationReader (Grails 3.1.7)
Date: 2016-05-19

Package: org.grails.events.reactor

## [Groovy] Class GrailsReactorConfigurationReader

- org.grails.events.reactor.GrailsReactorConfigurationReader

- All Implemented Interfaces and Traits:
    reactor.core.config.ConfigurationReader

      @groovy.transform.CompileStatic
      @groovy.util.logging.Commons
      class GrailsReactorConfigurationReader
      extends java.lang.Object

  Configures Reactor within a Grails application

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `DEFAULT_BACKLOG` |
    `static java.lang.String` | `DEFAULT_DISPATCHER` |
    `static int` | `DEFAULT_RINGBUFFER_BACKLOG` |
    `static int` | `DEFAULT_SIZE` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Config` | `configuration`
    `java.util.Properties` | `configurationProperties`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsReactorConfigurationReader (Config configuration, java.util.Properties configurationProperties)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `populateDefaultDispatchers(java.util.List<reactor.core.config.DispatcherConfiguration> dispatcherConfigurations)`
    `reactor.core.config.ReactorConfiguration` | `read()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final int DEFAULT_BACKLOG

    - #### public static final java.lang.String DEFAULT_DISPATCHER

    - #### public static final int DEFAULT_RINGBUFFER_BACKLOG

    - #### public static final int DEFAULT_SIZE

  - ### Property Detail

    - #### Config configuration

    - #### java.util.Properties configurationProperties

  - ### Constructor Detail

    - #### GrailsReactorConfigurationReader(Config configuration, java.util.Properties configurationProperties)

  - ### Method Detail

    - #### protected void populateDefaultDispatchers(java.util.List<reactor.core.config.DispatcherConfiguration> dispatcherConfigurations)

    - #### @java.lang.Override reactor.core.config.ReactorConfiguration read()